# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetSchemasResp

Packages that use TGetSchemasResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetSchemasResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetSchemasResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetSchemas_call`
`static class`
`TCLIService.AsyncProcessor.GetSchemas<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetSchemasResp
Modifier and Type
Class
Description
`class`
`TGetSchemasResp`
`class`
`TGetSchemasResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetSchemasResp
Modifier and Type
Field
Description
`TGetSchemasResp`
TCLIService.GetSchemas_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetSchemasResp
Modifier and Type
Method
Description
`TGetSchemasResp`
TGetSchemasResp.`deepCopy()`
`TGetSchemasResp`
TCLIService.AsyncClient.GetSchemas_call.`getResult()`
`TGetSchemasResp`
TCLIService.Client.`GetSchemas(TGetSchemasReq req)`
`TGetSchemasResp`
TCLIService.Iface.`GetSchemas(TGetSchemasReq req)`
`TGetSchemasResp`
TCLIService.GetSchemas_result.`getSuccess()`
`TGetSchemasResp`
TCLIService.Client.`recv_GetSchemas()`
`TGetSchemasResp`
TGetSchemasResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetSchemasResp`
TGetSchemasResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetSchemasResp`
TGetSchemasResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetSchemasResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp>`
TCLIService.AsyncProcessor.GetSchemas.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetSchemasResp
Modifier and Type
Method
Description
`int`
TGetSchemasResp.`compareTo(TGetSchemasResp other)`
`boolean`
TGetSchemasResp.`equals(TGetSchemasResp that)`
`TCLIService.GetSchemas_result`
TCLIService.GetSchemas_result.`setSuccess(TGetSchemasResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetSchemasResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetSchemas(TGetSchemasReq req, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetSchemas(TGetSchemasReq req, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetSchemas.`start(I iface, TCLIService.GetSchemas_args args, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetSchemasResp
Modifier
Constructor
Description
``
`GetSchemas_result(TGetSchemasResp success)`
``
`TGetSchemasResp(TGetSchemasResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetSchemasResp
Modifier
Constructor
Description
``
`GetSchemas_call(TGetSchemasReq req, org.apache.thrift.async.AsyncMethodCallback<TGetSchemasResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`